"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.doRetryAfterExpiredQueryAction = exports.shouldRetryAfterExpiredQuery = void 0;
var shouldRetryAfterExpiredQuery = function (_a) {
    var _b, _c;
    var errorMessage = _a.errorMessage, doRetryAfterExpiredQuery = _a.doRetryAfterExpiredQuery;
    return (((_b = errorMessage === null || errorMessage === void 0 ? void 0 : errorMessage.toLowerCase()) === null || _b === void 0 ? void 0 : _b.indexOf('unknown query id')) > -1
        && ((_c = errorMessage === null || errorMessage === void 0 ? void 0 : errorMessage.toLowerCase()) === null || _c === void 0 ? void 0 : _c.indexOf('it may have expired')) > -1
        && !doRetryAfterExpiredQuery);
};
exports.shouldRetryAfterExpiredQuery = shouldRetryAfterExpiredQuery;
var doRetryAfterExpiredQueryAction = function (retries) { return ({
    type: 'fetchResultsExpiredQuery',
    payload: { retries: retries }
}); };
exports.doRetryAfterExpiredQueryAction = doRetryAfterExpiredQueryAction;
