import { CreateLatestMetricChangeMutationVariables } from "../../mutations/mql/MqlMutationTypes";
import { FetchLatestChangeQuery } from "../../queries/mql/MqlQueryTypes";
import { UseMqlQueryState } from '../reducers/mqlQueryReducer';
declare type UseLatestChangeMqlQueryParams = {
    metricName: string;
    queryInput?: CreateLatestMetricChangeMutationVariables;
    skip?: boolean;
    retries?: number;
};
export declare type LatestChangeQueryState = UseMqlQueryState<FetchLatestChangeQuery>;
export default function useLatestChangeMqlQuery({ queryInput, metricName, skip, retries, }: UseLatestChangeMqlQueryParams): LatestChangeQueryState;
export {};
