import { Dispatch } from 'react';
import { CreateMqlQueryMutation, CreateMqlQueryMutationVariables } from "../../../mutations/mql/MqlMutationTypes";
import { Action as UseMqlQueryAction } from '../../reducers/mqlQueryReducer';
export interface DoCreateMqlQueryArgs {
    stateRetries: number;
}
interface UseCreateMqlQueryArgs {
    retries: number;
    metricName: string;
    formState?: CreateMqlQueryMutationVariables;
    dispatch: Dispatch<UseMqlQueryAction<CreateMqlQueryMutation>>;
}
interface UseCreateMqlQuery {
    createMqlQuery: (args: DoCreateMqlQueryArgs) => void;
}
declare const useCreateMqlQuery: ({ metricName, formState, dispatch, retries }: UseCreateMqlQueryArgs) => UseCreateMqlQuery;
export default useCreateMqlQuery;
