import { CreatePercentChangeMutationVariables } from "../../mutations/mql/MqlMutationTypes";
import { FetchPercentChangeQuery } from "../../queries/mql/MqlQueryTypes";
import { UseMqlQueryState } from '../reducers/mqlQueryReducer';
declare type UsePercentChangeMqlQueryParams = {
    metricName: string;
    queryInput: CreatePercentChangeMutationVariables;
    skip?: boolean;
    retries?: number;
};
export default function usePercentChangeMqlQuery({ queryInput, metricName, skip, retries, }: UsePercentChangeMqlQueryParams): UseMqlQueryState<FetchPercentChangeQuery>;
export {};
