import { CreateMqlQueryMutationVariables } from "../../mutations/mql/MqlMutationTypes";
import { FetchMqlTimeSeriesQuery } from "../../queries/mql/MqlQueryTypes";
import { UseMqlQueryState } from '../reducers/mqlQueryReducer';
declare type UseMqlQueryParams = {
    metricName: string;
    queryInput?: Omit<CreateMqlQueryMutationVariables, 'attemptNum'>;
    skip?: boolean;
    retries?: number;
};
export declare type UseTimeSeriesMqlQuery = UseMqlQueryState<FetchMqlTimeSeriesQuery>;
export default function useTimeSeriesMqlQuery({ queryInput, metricName, skip, retries, }: UseMqlQueryParams): UseMqlQueryState<FetchMqlTimeSeriesQuery>;
export {};
