"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useCreateQuery = function (_a) {
    var metricName = _a.metricName, mqlServerUrl = _a.mqlServerUrl, skip = _a.skip, dispatch = _a.dispatch, query = _a.query, retries = _a.retries, queryInput = _a.queryInput;
    react_1.useEffect(function () {
        if (!metricName || !mqlServerUrl || skip) {
            return;
        }
        dispatch({ type: "postQueryStart" });
        query({ stateRetries: retries });
    }, [queryInput, metricName, mqlServerUrl, skip]);
};
exports.default = useCreateQuery;
