import { Dispatch } from "react";
import { Action, UseMqlQueryState } from '../reducers/mqlQueryReducer';
interface UseFetchMqlTimeSeriesArgs<CreateQueryDataType> {
    state: UseMqlQueryState;
    skip: boolean;
    dispatch: Dispatch<Action<CreateQueryDataType>>;
    createQueryIdQuery: ({ stateRetries }: {
        stateRetries: number;
    }) => void;
    retries: number;
}
declare const useFetchMqlTimeSeries: <CreateQueryDataType>({ state, skip, dispatch, createQueryIdQuery, retries }: UseFetchMqlTimeSeriesArgs<CreateQueryDataType>) => void;
export default useFetchMqlTimeSeries;
