import { Dispatch } from "react";
import { TypedDocumentNode } from 'urql';
import { Action, UseMqlQueryState } from '../reducers/mqlQueryReducer';
interface UseFetchMqlTimeSeriesArgs<CreateQueryDataType, FetchDataType extends {
    mqlQuery?: any;
}> {
    state: UseMqlQueryState<FetchDataType>;
    skip: boolean;
    dispatch: Dispatch<Action<CreateQueryDataType, FetchDataType>>;
    createQueryIdQuery: ({ stateRetries }: {
        stateRetries: number;
    }) => void;
    retries: number;
    fetchDataQuery: TypedDocumentNode;
}
declare const useFetchMqlQuery: <CreateQueryDataType, FetchDataType extends {
    mqlQuery?: any;
}>({ state, skip, dispatch, createQueryIdQuery, retries, fetchDataQuery }: UseFetchMqlTimeSeriesArgs<CreateQueryDataType, FetchDataType>) => void;
export default useFetchMqlQuery;
