import { MqlQuery } from "../../queries/mql/MqlQueryTypes";
declare type BaseFetchQuery<FetchQuery> = {
    mqlQuery?: MqlQuery | null | undefined;
} & FetchQuery;
declare type UseMqlQueryParams<CreateQuery, FetchQuery> = {
    dataAccr: (data: CreateQuery) => BaseFetchQuery<FetchQuery>['mqlQuery'];
};
export default function useMqlQuery<CreateQuery, FetchQuery extends {
    mqlQuery?: MqlQuery | null | undefined;
}>({ dataAccr }: UseMqlQueryParams<CreateQuery, BaseFetchQuery<FetchQuery>>): void;
export {};
