"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var urql_1 = require("urql");
var query = urql_1.gql(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  query FetchMqlQuery($queryId: ID!, $attemptNum: Int) {\n    mqlQuery(id: $queryId, attemptNum: $attemptNum) {\n      id\n      modelKey {\n        #organization\n        #repo\n        branch\n        commit\n      }\n      userId\n      metrics\n      dimensions\n      status\n      completedAt\n      resultTableSchema\n      resultTableName\n      createdAt\n      startedAt\n      sql\n      error\n      errorTraceback\n      chartValueMin\n      chartValueMax\n      result {\n        value\n        delta\n        pctChange\n      }\n    }\n  }\n"], ["\n  query FetchMqlQuery($queryId: ID!, $attemptNum: Int) {\n    mqlQuery(id: $queryId, attemptNum: $attemptNum) {\n      id\n      modelKey {\n        #organization\n        #repo\n        branch\n        commit\n      }\n      userId\n      metrics\n      dimensions\n      status\n      completedAt\n      resultTableSchema\n      resultTableName\n      createdAt\n      startedAt\n      sql\n      error\n      errorTraceback\n      chartValueMin\n      chartValueMax\n      result {\n        value\n        delta\n        pctChange\n      }\n    }\n  }\n"])));
exports.default = query;
var templateObject_1;
