import { Dispatch } from "react";
import { CreateLatestMetricChangeMutation } from "../../../mutations/mql/MqlMutationTypes";
import { Action, UseMqlQueryState } from '../reducers/mqlQueryReducer';
interface UseFetchLatestChangeMqlQueryArgs {
    state: UseMqlQueryState;
    skip: boolean;
    dispatch: Dispatch<Action<CreateLatestMetricChangeMutation>>;
    createQueryIdQuery: ({ stateRetries }: {
        stateRetries: number;
    }) => void;
    retries: number;
}
declare const useFetchLatestChangeMqlQuery: ({ state, skip, dispatch, createQueryIdQuery, retries }: UseFetchLatestChangeMqlQueryArgs) => void;
export default useFetchLatestChangeMqlQuery;
