import { CreateMqlQueryMutationVariables } from "../../mutations/mql/MqlMutationTypes";
import { FetchMqlTimeSeriesQuery } from "../../queries/mql/MqlQueryTypes";
declare type UseMqlQueryParams = {
    metricName: string;
    queryInput?: CreateMqlQueryMutationVariables;
    skip?: boolean;
    retries?: number;
};
export default function useMqlQuery({ queryInput, metricName, skip, retries, }: UseMqlQueryParams): import("../reducers/mqlQueryReducer").UseMqlQueryState<FetchMqlTimeSeriesQuery>;
export {};
