"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var EMPTY_CONSTRAINT = { constraint: null };
// This filters out invalid WHERE clauses the consequence of janky form state;
var clearEmptyConstraints = function (where) {
    if (!where)
        return EMPTY_CONSTRAINT;
    if (where.And) {
        var newAnd = where.And.filter(function (val) { return (val.values || []).length > 0; });
        return newAnd.length > 0 ? __assign(__assign({}, where), { And: newAnd }) : EMPTY_CONSTRAINT;
    }
    // if (where.Or) {
    //   const newOr = where.Or.filter((val) => (val.values || []).length > 0);
    //   return newOr.length > 0 ? { ...where, Or: newOr } : EMPTY_CONSTRAINT;
    // }
    return where;
};
exports.default = clearEmptyConstraints;
