"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var getErrorMessage = function (e) {
    if (e.message)
        return e.message;
    if (e.networkError)
        return e.networkError.message;
    if (e.graphQLErrors)
        return e.graphQLErrors[0].message;
    return "Invalid MQL Query error message";
};
exports.default = getErrorMessage;
