import { Dispatch } from "react";
interface UseCreateQueryIdQueryArgs<ActionType> {
    createQueryIdQuery: ({ stateRetries }: {
        stateRetries: number;
    }) => void;
    dispatch: Dispatch<ActionType>;
    metricName: string;
    retries: number;
    skip: boolean;
    queryInput: any;
}
declare const useCreateQueryIdQuery: <ActionType>({ createQueryIdQuery, dispatch, metricName, retries, skip, queryInput }: UseCreateQueryIdQueryArgs<ActionType>) => void;
export default useCreateQueryIdQuery;
