"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
// import { CombinedError } from "urql";
var MqlContext_1 = __importDefault(require("../../context/MqlContext/MqlContext"));
// import useCreateTimeSeriesMqlQuery from './utils/useCreateTimeSeriesMqlQuery';
var mqlQueryReducer_1 = __importStar(require("../reducers/mqlQueryReducer"));
// This custom hook consists of two useHooks that should asynchronously handle all scenarios for this chained
// data fetching we are doing. It should do it in a high performance way and in a way that is resilient to race conditions if the
// user updates their request while a query is in flight
function useMqlQuery(_a) {
    var 
    // queryInput,
    // metricName,
    // skip,
    // retries = 5,
    dataAccr = _a.dataAccr;
    var mqlServerUrl = react_1.useContext(MqlContext_1.default).mqlServerUrl;
    //
    // const dataAccr = (data: CreateMqlQueryMutation) => data?.createMqlQuery?.query;
    //
    var reducer = mqlQueryReducer_1.default(dataAccr);
    var _b = react_1.useReducer(reducer, mqlQueryReducer_1.initialState), state = _b[0], dispatch = _b[1];
    // const {createTimeSeriesMqlQuery} = useCreateTimeSeriesMqlQuery({metricName, formState: queryInput, dispatch, retries})
    //
    // useEffect(() => {
    //   if (!metricName || !mqlServerUrl || skip) {
    //     return;
    //   }
    //   dispatch({ type: "postQueryStart" });
    //   createTimeSeriesMqlQuery({stateRetries: state.retries});
    // }, [queryInput, metricName, mqlServerUrl, skip]);
    //
    // const _skip =
    //   skip ||
    //   !state.queryId ||
    //   state.cancelledQueries.includes(state.queryId); /* && !isRunning*/
    //
    // useFetchMqlQuery<CreateMqlQueryMutation, FetchMqlTimeSeriesQuery>({
    //   state,
    //   skip: _skip,
    //   dispatch,
    //   createQueryIdQuery: createTimeSeriesMqlQuery,
    //   retries,
    //   fetchDataQuery: FetchMqlQueryTimeSeries
    // });
    //
    // return state;
}
exports.default = useMqlQuery;
