"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FeatureStrColumns = exports.GIntegrationType = exports.InviteOrderBy = exports.InviteStrColumns = exports.IntegrationOrderBy = exports.IntegrationStrColumns = exports.IntegrationType = exports.MetricType = exports.MetricTier = exports.SlackConversationType = exports.OrgPrefOrderBy = exports.OrgPrefStrColumns = exports.OrgMqlServerOrderBy = exports.OrgMqlServerStrColumns = exports.DeploymentStatus = exports.DwEngine = exports.OrganizationOrderBy = exports.OrganizationStrColumns = exports.ApiKeyOrderBy = exports.ApiKeyStrColumns = exports.MetricCollectionOrderBy = exports.MetricCollectionStrColumns = exports.MetricCollectionMetricOrderBy = exports.AlertOrderBy = exports.AlertStatus = exports.TimeGranularity = exports.AlertRuleType = exports.NotificationCadence = exports.NotificationChannel = exports.AlertNotificationRuleType = exports.UserOrderBy = exports.UserStrColumns = exports.TeamOrderBy = exports.TeamStrColumns = exports.SavedQueryOrderBy = exports.SavedQueryStrColumns = exports.MetricVersionOrderBy = exports.MetricVersionStrColumns = exports.DataSourceVersionOrderBy = exports.DataSourceVersionStrColumns = exports.AnnotationOrderBy = exports.AnnotationStrColumns = exports.Priority = exports.QuestionOrderBy = exports.QuestionStrColumns = exports.QuestionReplyOrderBy = exports.QuestionReplyStrColumns = exports.OwnerType = exports.TeamMemberOrderBy = exports.OrgType = void 0;
exports.GIntegrationStatus = exports.PercentChange = exports.AtomicConstraintType = exports.Locale = exports.GNotificationChannel = exports.GAlertNotificationRuleType = exports.GAlertRuleType = exports.GOwnerType = exports.GOrgType = exports.ParameterType = exports.FeatureOrderBy = void 0;
/** An enumeration. */
var OrgType;
(function (OrgType) {
    OrgType["Paid"] = "PAID";
    OrgType["Trial"] = "TRIAL";
    OrgType["Internal"] = "INTERNAL";
    OrgType["Test"] = "TEST";
})(OrgType = exports.OrgType || (exports.OrgType = {}));
/** An enumeration. */
var TeamMemberOrderBy;
(function (TeamMemberOrderBy) {
    TeamMemberOrderBy["TeamId"] = "TEAM_ID";
    TeamMemberOrderBy["JoinedAt"] = "JOINED_AT";
    TeamMemberOrderBy["UserId"] = "USER_ID";
    TeamMemberOrderBy["IsTeamAdmin"] = "IS_TEAM_ADMIN";
    TeamMemberOrderBy["TeamMemberId"] = "TeamMember_ID";
    TeamMemberOrderBy["TeamMemberOrganizationId"] = "TeamMember_ORGANIZATION_ID";
    TeamMemberOrderBy["UserOrganizationId"] = "User_ORGANIZATION_ID";
    TeamMemberOrderBy["UserName"] = "USER_NAME";
    TeamMemberOrderBy["UpdatedAt"] = "UPDATED_AT";
    TeamMemberOrderBy["Auth0Id"] = "AUTH0_ID";
    TeamMemberOrderBy["CreatedAt"] = "CREATED_AT";
    TeamMemberOrderBy["AvatarUrl"] = "AVATAR_URL";
    TeamMemberOrderBy["Email"] = "EMAIL";
    TeamMemberOrderBy["PrimaryDashboardId"] = "PRIMARY_DASHBOARD_ID";
    TeamMemberOrderBy["DeactivatedAt"] = "DEACTIVATED_AT";
})(TeamMemberOrderBy = exports.TeamMemberOrderBy || (exports.TeamMemberOrderBy = {}));
/** An enumeration. */
var OwnerType;
(function (OwnerType) {
    OwnerType["Business"] = "BUSINESS";
    OwnerType["Technical"] = "TECHNICAL";
})(OwnerType = exports.OwnerType || (exports.OwnerType = {}));
/** An enumeration. */
var QuestionReplyStrColumns;
(function (QuestionReplyStrColumns) {
    QuestionReplyStrColumns["Text"] = "TEXT";
})(QuestionReplyStrColumns = exports.QuestionReplyStrColumns || (exports.QuestionReplyStrColumns = {}));
/** An enumeration. */
var QuestionReplyOrderBy;
(function (QuestionReplyOrderBy) {
    QuestionReplyOrderBy["UpdatedAt"] = "UPDATED_AT";
    QuestionReplyOrderBy["CreatedAt"] = "CREATED_AT";
    QuestionReplyOrderBy["Text"] = "TEXT";
    QuestionReplyOrderBy["Id"] = "ID";
    QuestionReplyOrderBy["QuestionId"] = "QUESTION_ID";
    QuestionReplyOrderBy["AuthorId"] = "AUTHOR_ID";
    QuestionReplyOrderBy["OrganizationId"] = "ORGANIZATION_ID";
})(QuestionReplyOrderBy = exports.QuestionReplyOrderBy || (exports.QuestionReplyOrderBy = {}));
/** An enumeration. */
var QuestionStrColumns;
(function (QuestionStrColumns) {
    QuestionStrColumns["Priority"] = "PRIORITY";
    QuestionStrColumns["Text"] = "TEXT";
})(QuestionStrColumns = exports.QuestionStrColumns || (exports.QuestionStrColumns = {}));
/** An enumeration. */
var QuestionOrderBy;
(function (QuestionOrderBy) {
    QuestionOrderBy["NotifiedAt"] = "NOTIFIED_AT";
    QuestionOrderBy["UpdatedAt"] = "UPDATED_AT";
    QuestionOrderBy["CreatedAt"] = "CREATED_AT";
    QuestionOrderBy["ResolvedAt"] = "RESOLVED_AT";
    QuestionOrderBy["AuthorId"] = "AUTHOR_ID";
    QuestionOrderBy["ResolvedBy"] = "RESOLVED_BY";
    QuestionOrderBy["Resolved"] = "RESOLVED";
    QuestionOrderBy["Text"] = "TEXT";
    QuestionOrderBy["Priority"] = "PRIORITY";
    QuestionOrderBy["MetricId"] = "METRIC_ID";
    QuestionOrderBy["Id"] = "ID";
    QuestionOrderBy["OrganizationId"] = "ORGANIZATION_ID";
})(QuestionOrderBy = exports.QuestionOrderBy || (exports.QuestionOrderBy = {}));
/** An enumeration. */
var Priority;
(function (Priority) {
    Priority["NoPriority"] = "NO_PRIORITY";
    Priority["Low"] = "LOW";
    Priority["Medium"] = "MEDIUM";
    Priority["High"] = "HIGH";
    Priority["Critical"] = "CRITICAL";
})(Priority = exports.Priority || (exports.Priority = {}));
/** An enumeration. */
var AnnotationStrColumns;
(function (AnnotationStrColumns) {
    AnnotationStrColumns["Title"] = "TITLE";
    AnnotationStrColumns["ExpectedImpact"] = "EXPECTED_IMPACT";
    AnnotationStrColumns["Priority"] = "PRIORITY";
    AnnotationStrColumns["Text"] = "TEXT";
})(AnnotationStrColumns = exports.AnnotationStrColumns || (exports.AnnotationStrColumns = {}));
/** An enumeration. */
var AnnotationOrderBy;
(function (AnnotationOrderBy) {
    AnnotationOrderBy["NotifiedAt"] = "NOTIFIED_AT";
    AnnotationOrderBy["UpdatedAt"] = "UPDATED_AT";
    AnnotationOrderBy["CreatedAt"] = "CREATED_AT";
    AnnotationOrderBy["DateEndedAt"] = "DATE_ENDED_AT";
    AnnotationOrderBy["Title"] = "TITLE";
    AnnotationOrderBy["ExpectedImpact"] = "EXPECTED_IMPACT";
    AnnotationOrderBy["DeletedAt"] = "DELETED_AT";
    AnnotationOrderBy["AuthorId"] = "AUTHOR_ID";
    AnnotationOrderBy["DateStartedAt"] = "DATE_STARTED_AT";
    AnnotationOrderBy["Text"] = "TEXT";
    AnnotationOrderBy["Priority"] = "PRIORITY";
    AnnotationOrderBy["Id"] = "ID";
    AnnotationOrderBy["OrganizationId"] = "ORGANIZATION_ID";
})(AnnotationOrderBy = exports.AnnotationOrderBy || (exports.AnnotationOrderBy = {}));
/** An enumeration. */
var DataSourceVersionStrColumns;
(function (DataSourceVersionStrColumns) {
    DataSourceVersionStrColumns["SqlTable"] = "SQL_TABLE";
    DataSourceVersionStrColumns["Description"] = "DESCRIPTION";
    DataSourceVersionStrColumns["Name"] = "NAME";
    DataSourceVersionStrColumns["DbtModel"] = "DBT_MODEL";
    DataSourceVersionStrColumns["Connection"] = "CONNECTION";
    DataSourceVersionStrColumns["Hash"] = "HASH";
    DataSourceVersionStrColumns["SqlQuery"] = "SQL_QUERY";
})(DataSourceVersionStrColumns = exports.DataSourceVersionStrColumns || (exports.DataSourceVersionStrColumns = {}));
/** An enumeration. */
var DataSourceVersionOrderBy;
(function (DataSourceVersionOrderBy) {
    DataSourceVersionOrderBy["Measures"] = "MEASURES";
    DataSourceVersionOrderBy["Description"] = "DESCRIPTION";
    DataSourceVersionOrderBy["Identifiers"] = "IDENTIFIERS";
    DataSourceVersionOrderBy["Owners"] = "OWNERS";
    DataSourceVersionOrderBy["DbtModel"] = "DBT_MODEL";
    DataSourceVersionOrderBy["Connection"] = "CONNECTION";
    DataSourceVersionOrderBy["Id"] = "ID";
    DataSourceVersionOrderBy["Dimensions"] = "DIMENSIONS";
    DataSourceVersionOrderBy["DataSourceMetadata"] = "DATA_SOURCE_METADATA";
    DataSourceVersionOrderBy["SqlTable"] = "SQL_TABLE";
    DataSourceVersionOrderBy["CreatedAt"] = "CREATED_AT";
    DataSourceVersionOrderBy["Mutability"] = "MUTABILITY";
    DataSourceVersionOrderBy["Name"] = "NAME";
    DataSourceVersionOrderBy["Constraint"] = "CONSTRAINT";
    DataSourceVersionOrderBy["Hash"] = "HASH";
    DataSourceVersionOrderBy["SqlQuery"] = "SQL_QUERY";
    DataSourceVersionOrderBy["OrganizationId"] = "ORGANIZATION_ID";
})(DataSourceVersionOrderBy = exports.DataSourceVersionOrderBy || (exports.DataSourceVersionOrderBy = {}));
/** An enumeration. */
var MetricVersionStrColumns;
(function (MetricVersionStrColumns) {
    MetricVersionStrColumns["Hash"] = "HASH";
    MetricVersionStrColumns["DisplayName"] = "DISPLAY_NAME";
    MetricVersionStrColumns["ValueFormat"] = "VALUE_FORMAT";
    MetricVersionStrColumns["Description"] = "DESCRIPTION";
})(MetricVersionStrColumns = exports.MetricVersionStrColumns || (exports.MetricVersionStrColumns = {}));
/** An enumeration. */
var MetricVersionOrderBy;
(function (MetricVersionOrderBy) {
    MetricVersionOrderBy["Id"] = "ID";
    MetricVersionOrderBy["OrgDataSourceId"] = "ORG_DATA_SOURCE_ID";
    MetricVersionOrderBy["Views"] = "VIEWS";
    MetricVersionOrderBy["Metadata"] = "METADATA";
    MetricVersionOrderBy["Params"] = "PARAMS";
    MetricVersionOrderBy["MetricType"] = "METRIC_TYPE";
    MetricVersionOrderBy["Hash"] = "HASH";
    MetricVersionOrderBy["SourceDataSourceVersions"] = "SOURCE_DATA_SOURCE_VERSIONS";
    MetricVersionOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    MetricVersionOrderBy["MetricVersionMetricId"] = "MetricVersion_METRIC_ID";
    MetricVersionOrderBy["MetricVersionCreatedAt"] = "MetricVersion_CREATED_AT";
    MetricVersionOrderBy["MetricMetadataMetricId"] = "MetricMetadata_METRIC_ID";
    MetricVersionOrderBy["MetricMetadataCreatedAt"] = "MetricMetadata_CREATED_AT";
    MetricVersionOrderBy["DisplayName"] = "DISPLAY_NAME";
    MetricVersionOrderBy["Description"] = "DESCRIPTION";
    MetricVersionOrderBy["UpdatedBy"] = "UPDATED_BY";
    MetricVersionOrderBy["Tier"] = "TIER";
    MetricVersionOrderBy["TierLock"] = "TIER_LOCK";
    MetricVersionOrderBy["DescriptionLock"] = "DESCRIPTION_LOCK";
    MetricVersionOrderBy["IncreaseIsGood"] = "INCREASE_IS_GOOD";
    MetricVersionOrderBy["IsNew"] = "IS_NEW";
    MetricVersionOrderBy["ValueFormat"] = "VALUE_FORMAT";
    MetricVersionOrderBy["UpdatedAt"] = "UPDATED_AT";
    MetricVersionOrderBy["ExtraFields"] = "EXTRA_FIELDS";
    MetricVersionOrderBy["IncreaseIsGoodLock"] = "INCREASE_IS_GOOD_LOCK";
    MetricVersionOrderBy["DisplayNameLock"] = "DISPLAY_NAME_LOCK";
    MetricVersionOrderBy["ValueFormatLock"] = "VALUE_FORMAT_LOCK";
    MetricVersionOrderBy["CreatedBy"] = "CREATED_BY";
})(MetricVersionOrderBy = exports.MetricVersionOrderBy || (exports.MetricVersionOrderBy = {}));
/** An enumeration. */
var SavedQueryStrColumns;
(function (SavedQueryStrColumns) {
    SavedQueryStrColumns["Title"] = "TITLE";
})(SavedQueryStrColumns = exports.SavedQueryStrColumns || (exports.SavedQueryStrColumns = {}));
/** An enumeration. */
var SavedQueryOrderBy;
(function (SavedQueryOrderBy) {
    SavedQueryOrderBy["UpdatedAt"] = "UPDATED_AT";
    SavedQueryOrderBy["CreatedAt"] = "CREATED_AT";
    SavedQueryOrderBy["OwnerTeamId"] = "OWNER_TEAM_ID";
    SavedQueryOrderBy["Title"] = "TITLE";
    SavedQueryOrderBy["DeletedAt"] = "DELETED_AT";
    SavedQueryOrderBy["SerializedQuery"] = "SERIALIZED_QUERY";
    SavedQueryOrderBy["Id"] = "ID";
    SavedQueryOrderBy["CreatedBy"] = "CREATED_BY";
    SavedQueryOrderBy["OrganizationId"] = "ORGANIZATION_ID";
})(SavedQueryOrderBy = exports.SavedQueryOrderBy || (exports.SavedQueryOrderBy = {}));
/** An enumeration. */
var TeamStrColumns;
(function (TeamStrColumns) {
    TeamStrColumns["Theme"] = "THEME";
    TeamStrColumns["Description"] = "DESCRIPTION";
    TeamStrColumns["Slug"] = "SLUG";
    TeamStrColumns["Name"] = "NAME";
})(TeamStrColumns = exports.TeamStrColumns || (exports.TeamStrColumns = {}));
/** An enumeration. */
var TeamOrderBy;
(function (TeamOrderBy) {
    TeamOrderBy["Theme"] = "THEME";
    TeamOrderBy["UpdatedAt"] = "UPDATED_AT";
    TeamOrderBy["CreatedAt"] = "CREATED_AT";
    TeamOrderBy["Description"] = "DESCRIPTION";
    TeamOrderBy["Views"] = "VIEWS";
    TeamOrderBy["Slug"] = "SLUG";
    TeamOrderBy["Name"] = "NAME";
    TeamOrderBy["FeaturedMetricCollectionId"] = "FEATURED_METRIC_COLLECTION_ID";
    TeamOrderBy["Id"] = "ID";
    TeamOrderBy["PrimaryDashboardId"] = "PRIMARY_DASHBOARD_ID";
    TeamOrderBy["CreatedBy"] = "CREATED_BY";
    TeamOrderBy["DeactivatedAt"] = "DEACTIVATED_AT";
    TeamOrderBy["OrganizationId"] = "ORGANIZATION_ID";
})(TeamOrderBy = exports.TeamOrderBy || (exports.TeamOrderBy = {}));
/** An enumeration. */
var UserStrColumns;
(function (UserStrColumns) {
    UserStrColumns["AvatarUrl"] = "AVATAR_URL";
    UserStrColumns["UserName"] = "USER_NAME";
    UserStrColumns["Auth0Id"] = "AUTH0_ID";
    UserStrColumns["Email"] = "EMAIL";
})(UserStrColumns = exports.UserStrColumns || (exports.UserStrColumns = {}));
/** An enumeration. */
var UserOrderBy;
(function (UserOrderBy) {
    UserOrderBy["UserName"] = "USER_NAME";
    UserOrderBy["UpdatedAt"] = "UPDATED_AT";
    UserOrderBy["Auth0Id"] = "AUTH0_ID";
    UserOrderBy["CreatedAt"] = "CREATED_AT";
    UserOrderBy["AvatarUrl"] = "AVATAR_URL";
    UserOrderBy["Email"] = "EMAIL";
    UserOrderBy["Id"] = "ID";
    UserOrderBy["PrimaryDashboardId"] = "PRIMARY_DASHBOARD_ID";
    UserOrderBy["DeactivatedAt"] = "DEACTIVATED_AT";
    UserOrderBy["OrganizationId"] = "ORGANIZATION_ID";
})(UserOrderBy = exports.UserOrderBy || (exports.UserOrderBy = {}));
/** An enumeration. */
var AlertNotificationRuleType;
(function (AlertNotificationRuleType) {
    AlertNotificationRuleType["Individual"] = "INDIVIDUAL";
    AlertNotificationRuleType["Subscriber"] = "SUBSCRIBER";
    AlertNotificationRuleType["Owner"] = "OWNER";
    AlertNotificationRuleType["Custom"] = "CUSTOM";
})(AlertNotificationRuleType = exports.AlertNotificationRuleType || (exports.AlertNotificationRuleType = {}));
/** An enumeration. */
var NotificationChannel;
(function (NotificationChannel) {
    NotificationChannel["InApp"] = "IN_APP";
    NotificationChannel["Email"] = "EMAIL";
})(NotificationChannel = exports.NotificationChannel || (exports.NotificationChannel = {}));
/** An enumeration. */
var NotificationCadence;
(function (NotificationCadence) {
    NotificationCadence["Instant"] = "INSTANT";
})(NotificationCadence = exports.NotificationCadence || (exports.NotificationCadence = {}));
/** An enumeration. */
var AlertRuleType;
(function (AlertRuleType) {
    AlertRuleType["MetadataNewQuestion"] = "METADATA_NEW_QUESTION";
    AlertRuleType["MetadataNewAnnotation"] = "METADATA_NEW_ANNOTATION";
    AlertRuleType["MetadataNewSubscribers"] = "METADATA_NEW_SUBSCRIBERS";
    AlertRuleType["MetadataNewReply"] = "METADATA_NEW_REPLY";
    AlertRuleType["ValueChange"] = "VALUE_CHANGE";
    AlertRuleType["YouAreSubscribed"] = "YOU_ARE_SUBSCRIBED";
})(AlertRuleType = exports.AlertRuleType || (exports.AlertRuleType = {}));
/**
 * For time dimensions, the smallest possible difference between two time values.
 *
 *     Needed for calculating adjacency when merging 2 different time ranges.
 */
var TimeGranularity;
(function (TimeGranularity) {
    TimeGranularity["Day"] = "DAY";
    TimeGranularity["Week"] = "WEEK";
    TimeGranularity["Month"] = "MONTH";
    TimeGranularity["Quarter"] = "QUARTER";
    TimeGranularity["Year"] = "YEAR";
})(TimeGranularity = exports.TimeGranularity || (exports.TimeGranularity = {}));
/** An enumeration. */
var AlertStatus;
(function (AlertStatus) {
    AlertStatus["Created"] = "CREATED";
    AlertStatus["Acknowledged"] = "ACKNOWLEDGED";
})(AlertStatus = exports.AlertStatus || (exports.AlertStatus = {}));
/** An enumeration. */
var AlertOrderBy;
(function (AlertOrderBy) {
    AlertOrderBy["AlertRuleId"] = "ALERT_RULE_ID";
    AlertOrderBy["QuestionId"] = "QUESTION_ID";
    AlertOrderBy["DetectedAt"] = "DETECTED_AT";
    AlertOrderBy["CreatedAt"] = "CREATED_AT";
    AlertOrderBy["AnnotationId"] = "ANNOTATION_ID";
    AlertOrderBy["QuestionReplyId"] = "QUESTION_REPLY_ID";
    AlertOrderBy["Status"] = "STATUS";
    AlertOrderBy["Data"] = "DATA";
    AlertOrderBy["Id"] = "ID";
})(AlertOrderBy = exports.AlertOrderBy || (exports.AlertOrderBy = {}));
/** An enumeration. */
var MetricCollectionMetricOrderBy;
(function (MetricCollectionMetricOrderBy) {
    MetricCollectionMetricOrderBy["UpdatedAt"] = "UPDATED_AT";
    MetricCollectionMetricOrderBy["CreatedAt"] = "CREATED_AT";
    MetricCollectionMetricOrderBy["SavedQueryId"] = "SAVED_QUERY_ID";
    MetricCollectionMetricOrderBy["MetricCollectionId"] = "METRIC_COLLECTION_ID";
    MetricCollectionMetricOrderBy["Position"] = "POSITION";
    MetricCollectionMetricOrderBy["Emphasis"] = "EMPHASIS";
    MetricCollectionMetricOrderBy["MetricId"] = "METRIC_ID";
    MetricCollectionMetricOrderBy["Id"] = "ID";
})(MetricCollectionMetricOrderBy = exports.MetricCollectionMetricOrderBy || (exports.MetricCollectionMetricOrderBy = {}));
/** An enumeration. */
var MetricCollectionStrColumns;
(function (MetricCollectionStrColumns) {
    MetricCollectionStrColumns["Title"] = "TITLE";
    MetricCollectionStrColumns["Description"] = "DESCRIPTION";
    MetricCollectionStrColumns["Slug"] = "SLUG";
})(MetricCollectionStrColumns = exports.MetricCollectionStrColumns || (exports.MetricCollectionStrColumns = {}));
/** An enumeration. */
var MetricCollectionOrderBy;
(function (MetricCollectionOrderBy) {
    MetricCollectionOrderBy["UpdatedAt"] = "UPDATED_AT";
    MetricCollectionOrderBy["CreatedAt"] = "CREATED_AT";
    MetricCollectionOrderBy["OwnerTeamId"] = "OWNER_TEAM_ID";
    MetricCollectionOrderBy["Description"] = "DESCRIPTION";
    MetricCollectionOrderBy["Title"] = "TITLE";
    MetricCollectionOrderBy["DeletedAt"] = "DELETED_AT";
    MetricCollectionOrderBy["Views"] = "VIEWS";
    MetricCollectionOrderBy["DefaultEmphasis"] = "DEFAULT_EMPHASIS";
    MetricCollectionOrderBy["Slug"] = "SLUG";
    MetricCollectionOrderBy["Id"] = "ID";
    MetricCollectionOrderBy["PrimaryDashboardId"] = "PRIMARY_DASHBOARD_ID";
    MetricCollectionOrderBy["CreatedBy"] = "CREATED_BY";
    MetricCollectionOrderBy["OrganizationId"] = "ORGANIZATION_ID";
})(MetricCollectionOrderBy = exports.MetricCollectionOrderBy || (exports.MetricCollectionOrderBy = {}));
/** An enumeration. */
var ApiKeyStrColumns;
(function (ApiKeyStrColumns) {
    ApiKeyStrColumns["Type"] = "TYPE";
    ApiKeyStrColumns["Prefix"] = "PREFIX";
    ApiKeyStrColumns["Scope"] = "SCOPE";
    ApiKeyStrColumns["SecretHash"] = "SECRET_HASH";
})(ApiKeyStrColumns = exports.ApiKeyStrColumns || (exports.ApiKeyStrColumns = {}));
/** An enumeration. */
var ApiKeyOrderBy;
(function (ApiKeyOrderBy) {
    ApiKeyOrderBy["RevokerId"] = "REVOKER_ID";
    ApiKeyOrderBy["CreatedAt"] = "CREATED_AT";
    ApiKeyOrderBy["UserId"] = "USER_ID";
    ApiKeyOrderBy["Type"] = "TYPE";
    ApiKeyOrderBy["Scope"] = "SCOPE";
    ApiKeyOrderBy["RevokedAt"] = "REVOKED_AT";
    ApiKeyOrderBy["LastUsedAt"] = "LAST_USED_AT";
    ApiKeyOrderBy["Prefix"] = "PREFIX";
    ApiKeyOrderBy["SecretHash"] = "SECRET_HASH";
    ApiKeyOrderBy["OrganizationId"] = "ORGANIZATION_ID";
})(ApiKeyOrderBy = exports.ApiKeyOrderBy || (exports.ApiKeyOrderBy = {}));
/** An enumeration. */
var OrganizationStrColumns;
(function (OrganizationStrColumns) {
    OrganizationStrColumns["MqlServerLogs"] = "MQL_SERVER_LOGS";
    OrganizationStrColumns["PrimaryConfigRepo"] = "PRIMARY_CONFIG_REPO";
    OrganizationStrColumns["Name"] = "NAME";
    OrganizationStrColumns["SourceControlUrl"] = "SOURCE_CONTROL_URL";
    OrganizationStrColumns["LogoUrl"] = "LOGO_URL";
    OrganizationStrColumns["PrimaryConfigBranch"] = "PRIMARY_CONFIG_BRANCH";
})(OrganizationStrColumns = exports.OrganizationStrColumns || (exports.OrganizationStrColumns = {}));
/** An enumeration. */
var OrganizationOrderBy;
(function (OrganizationOrderBy) {
    OrganizationOrderBy["UpdatedAt"] = "UPDATED_AT";
    OrganizationOrderBy["CreatedAt"] = "CREATED_AT";
    OrganizationOrderBy["MqlServerLogs"] = "MQL_SERVER_LOGS";
    OrganizationOrderBy["IsHosted"] = "IS_HOSTED";
    OrganizationOrderBy["SourceControlUrl"] = "SOURCE_CONTROL_URL";
    OrganizationOrderBy["LogoUrl"] = "LOGO_URL";
    OrganizationOrderBy["Type"] = "TYPE";
    OrganizationOrderBy["PrimaryConfigBranch"] = "PRIMARY_CONFIG_BRANCH";
    OrganizationOrderBy["PrimaryConfigRepo"] = "PRIMARY_CONFIG_REPO";
    OrganizationOrderBy["Name"] = "NAME";
    OrganizationOrderBy["Id"] = "ID";
    OrganizationOrderBy["DeactivatedAt"] = "DEACTIVATED_AT";
})(OrganizationOrderBy = exports.OrganizationOrderBy || (exports.OrganizationOrderBy = {}));
/** An enumeration. */
var DwEngine;
(function (DwEngine) {
    DwEngine["Redshift"] = "REDSHIFT";
    DwEngine["Postgresql"] = "POSTGRESQL";
    DwEngine["Mysql"] = "MYSQL";
    DwEngine["Snowflake"] = "SNOWFLAKE";
    DwEngine["Bigquery"] = "BIGQUERY";
})(DwEngine = exports.DwEngine || (exports.DwEngine = {}));
/** Enums to represent the status of the mql server deployment */
var DeploymentStatus;
(function (DeploymentStatus) {
    DeploymentStatus["Paused"] = "PAUSED";
    DeploymentStatus["Deploy"] = "DEPLOY";
    DeploymentStatus["Never"] = "NEVER";
})(DeploymentStatus = exports.DeploymentStatus || (exports.DeploymentStatus = {}));
/** An enumeration. */
var OrgMqlServerStrColumns;
(function (OrgMqlServerStrColumns) {
    OrgMqlServerStrColumns["Url"] = "URL";
    OrgMqlServerStrColumns["ConfigSecret"] = "CONFIG_SECRET";
    OrgMqlServerStrColumns["Name"] = "NAME";
})(OrgMqlServerStrColumns = exports.OrgMqlServerStrColumns || (exports.OrgMqlServerStrColumns = {}));
/** An enumeration. */
var OrgMqlServerOrderBy;
(function (OrgMqlServerOrderBy) {
    OrgMqlServerOrderBy["IsOrgDefault"] = "IS_ORG_DEFAULT";
    OrgMqlServerOrderBy["UpdatedAt"] = "UPDATED_AT";
    OrgMqlServerOrderBy["CreatedAt"] = "CREATED_AT";
    OrgMqlServerOrderBy["DeploymentStatus"] = "DEPLOYMENT_STATUS";
    OrgMqlServerOrderBy["ConfigSecret"] = "CONFIG_SECRET";
    OrgMqlServerOrderBy["Name"] = "NAME";
    OrgMqlServerOrderBy["Url"] = "URL";
    OrgMqlServerOrderBy["DwEngine"] = "DW_ENGINE";
    OrgMqlServerOrderBy["Id"] = "ID";
    OrgMqlServerOrderBy["OrganizationId"] = "ORGANIZATION_ID";
})(OrgMqlServerOrderBy = exports.OrgMqlServerOrderBy || (exports.OrgMqlServerOrderBy = {}));
/** An enumeration. */
var OrgPrefStrColumns;
(function (OrgPrefStrColumns) {
    OrgPrefStrColumns["PrefKey"] = "PREF_KEY";
    OrgPrefStrColumns["PrefValue"] = "PREF_VALUE";
})(OrgPrefStrColumns = exports.OrgPrefStrColumns || (exports.OrgPrefStrColumns = {}));
/** An enumeration. */
var OrgPrefOrderBy;
(function (OrgPrefOrderBy) {
    OrgPrefOrderBy["UpdatedAt"] = "UPDATED_AT";
    OrgPrefOrderBy["CreatedAt"] = "CREATED_AT";
    OrgPrefOrderBy["PrefKey"] = "PREF_KEY";
    OrgPrefOrderBy["PrefValue"] = "PREF_VALUE";
    OrgPrefOrderBy["Id"] = "ID";
    OrgPrefOrderBy["OrganizationId"] = "ORGANIZATION_ID";
})(OrgPrefOrderBy = exports.OrgPrefOrderBy || (exports.OrgPrefOrderBy = {}));
var SlackConversationType;
(function (SlackConversationType) {
    SlackConversationType["PublicChannel"] = "PUBLIC_CHANNEL";
    SlackConversationType["PrivateChannel"] = "PRIVATE_CHANNEL";
    SlackConversationType["Dm"] = "DM";
    SlackConversationType["GroupDm"] = "GROUP_DM";
})(SlackConversationType = exports.SlackConversationType || (exports.SlackConversationType = {}));
/** An enumeration. */
var MetricTier;
(function (MetricTier) {
    MetricTier["One"] = "ONE";
    MetricTier["Two"] = "TWO";
    MetricTier["Three"] = "THREE";
})(MetricTier = exports.MetricTier || (exports.MetricTier = {}));
/** An enumeration. */
var MetricType;
(function (MetricType) {
    MetricType["MeasureProxy"] = "MEASURE_PROXY";
    MetricType["Ratio"] = "RATIO";
    MetricType["Expr"] = "EXPR";
    MetricType["Cumulative"] = "CUMULATIVE";
})(MetricType = exports.MetricType || (exports.MetricType = {}));
/** An enumeration. */
var IntegrationType;
(function (IntegrationType) {
    IntegrationType["TableauWebDataConnector"] = "TABLEAU_WEB_DATA_CONNECTOR";
    IntegrationType["TableauMaterializations"] = "TABLEAU_MATERIALIZATIONS";
    IntegrationType["Dbt"] = "DBT";
    IntegrationType["GoogleSheets"] = "GOOGLE_SHEETS";
    IntegrationType["Excel_2013"] = "EXCEL_2013";
    IntegrationType["Excel_365"] = "EXCEL_365";
    IntegrationType["Mode"] = "MODE";
    IntegrationType["MysqlInterface"] = "MYSQL_INTERFACE";
    IntegrationType["Powerbi"] = "POWERBI";
    IntegrationType["Slack"] = "SLACK";
})(IntegrationType = exports.IntegrationType || (exports.IntegrationType = {}));
/** An enumeration. */
var IntegrationStrColumns;
(function (IntegrationStrColumns) {
    IntegrationStrColumns["Status"] = "STATUS";
})(IntegrationStrColumns = exports.IntegrationStrColumns || (exports.IntegrationStrColumns = {}));
/** An enumeration. */
var IntegrationOrderBy;
(function (IntegrationOrderBy) {
    IntegrationOrderBy["Status"] = "STATUS";
    IntegrationOrderBy["CreatedAt"] = "CREATED_AT";
    IntegrationOrderBy["Type"] = "TYPE";
    IntegrationOrderBy["Id"] = "ID";
    IntegrationOrderBy["CreatedBy"] = "CREATED_BY";
    IntegrationOrderBy["DeactivatedAt"] = "DEACTIVATED_AT";
    IntegrationOrderBy["OrganizationId"] = "ORGANIZATION_ID";
})(IntegrationOrderBy = exports.IntegrationOrderBy || (exports.IntegrationOrderBy = {}));
/** An enumeration. */
var InviteStrColumns;
(function (InviteStrColumns) {
    InviteStrColumns["Email"] = "EMAIL";
})(InviteStrColumns = exports.InviteStrColumns || (exports.InviteStrColumns = {}));
/** An enumeration. */
var InviteOrderBy;
(function (InviteOrderBy) {
    InviteOrderBy["InvitedBy"] = "INVITED_BY";
    InviteOrderBy["RedeemedAt"] = "REDEEMED_AT";
    InviteOrderBy["UpdatedAt"] = "UPDATED_AT";
    InviteOrderBy["CreatedAt"] = "CREATED_AT";
    InviteOrderBy["ExpiresAt"] = "EXPIRES_AT";
    InviteOrderBy["Email"] = "EMAIL";
    InviteOrderBy["Id"] = "ID";
    InviteOrderBy["OrganizationId"] = "ORGANIZATION_ID";
})(InviteOrderBy = exports.InviteOrderBy || (exports.InviteOrderBy = {}));
/** An enumeration. */
var GIntegrationType;
(function (GIntegrationType) {
    GIntegrationType["TableauWebDataConnector"] = "TABLEAU_WEB_DATA_CONNECTOR";
    GIntegrationType["TableauMaterializations"] = "TABLEAU_MATERIALIZATIONS";
    GIntegrationType["Dbt"] = "DBT";
    GIntegrationType["GoogleSheets"] = "GOOGLE_SHEETS";
    GIntegrationType["Excel_2013"] = "EXCEL_2013";
    GIntegrationType["Excel_365"] = "EXCEL_365";
    GIntegrationType["Mode"] = "MODE";
    GIntegrationType["MysqlInterface"] = "MYSQL_INTERFACE";
    GIntegrationType["Powerbi"] = "POWERBI";
    GIntegrationType["Slack"] = "SLACK";
})(GIntegrationType = exports.GIntegrationType || (exports.GIntegrationType = {}));
/** An enumeration. */
var FeatureStrColumns;
(function (FeatureStrColumns) {
    FeatureStrColumns["Name"] = "NAME";
})(FeatureStrColumns = exports.FeatureStrColumns || (exports.FeatureStrColumns = {}));
/** An enumeration. */
var FeatureOrderBy;
(function (FeatureOrderBy) {
    FeatureOrderBy["UpdatedAt"] = "UPDATED_AT";
    FeatureOrderBy["CreatedAt"] = "CREATED_AT";
    FeatureOrderBy["Name"] = "NAME";
    FeatureOrderBy["Id"] = "ID";
    FeatureOrderBy["RetiredAt"] = "RETIRED_AT";
})(FeatureOrderBy = exports.FeatureOrderBy || (exports.FeatureOrderBy = {}));
/** Supported parameter types for an alert rule config */
var ParameterType;
(function (ParameterType) {
    ParameterType["Number"] = "NUMBER";
    ParameterType["String"] = "STRING";
    ParameterType["Bool"] = "BOOL";
    ParameterType["Enum"] = "ENUM";
})(ParameterType = exports.ParameterType || (exports.ParameterType = {}));
/** An enumeration. */
var GOrgType;
(function (GOrgType) {
    GOrgType["Paid"] = "PAID";
    GOrgType["Trial"] = "TRIAL";
    GOrgType["Internal"] = "INTERNAL";
    GOrgType["Test"] = "TEST";
})(GOrgType = exports.GOrgType || (exports.GOrgType = {}));
/** An enumeration. */
var GOwnerType;
(function (GOwnerType) {
    GOwnerType["Business"] = "business";
    GOwnerType["Technical"] = "technical";
})(GOwnerType = exports.GOwnerType || (exports.GOwnerType = {}));
/** An enumeration. */
var GAlertRuleType;
(function (GAlertRuleType) {
    GAlertRuleType["MetadataNewQuestion"] = "METADATA_NEW_QUESTION";
    GAlertRuleType["MetadataNewAnnotation"] = "METADATA_NEW_ANNOTATION";
    GAlertRuleType["MetadataNewSubscribers"] = "METADATA_NEW_SUBSCRIBERS";
    GAlertRuleType["MetadataNewReply"] = "METADATA_NEW_REPLY";
    GAlertRuleType["ValueChange"] = "VALUE_CHANGE";
    GAlertRuleType["YouAreSubscribed"] = "YOU_ARE_SUBSCRIBED";
})(GAlertRuleType = exports.GAlertRuleType || (exports.GAlertRuleType = {}));
/** An enumeration. */
var GAlertNotificationRuleType;
(function (GAlertNotificationRuleType) {
    GAlertNotificationRuleType["Individual"] = "INDIVIDUAL";
    GAlertNotificationRuleType["Subscriber"] = "SUBSCRIBER";
    GAlertNotificationRuleType["Owner"] = "OWNER";
    GAlertNotificationRuleType["Custom"] = "CUSTOM";
})(GAlertNotificationRuleType = exports.GAlertNotificationRuleType || (exports.GAlertNotificationRuleType = {}));
/** An enumeration. */
var GNotificationChannel;
(function (GNotificationChannel) {
    GNotificationChannel["InApp"] = "IN_APP";
    GNotificationChannel["Email"] = "EMAIL";
})(GNotificationChannel = exports.GNotificationChannel || (exports.GNotificationChannel = {}));
var Locale;
(function (Locale) {
    Locale["EnUs"] = "en_US";
})(Locale = exports.Locale || (exports.Locale = {}));
var AtomicConstraintType;
(function (AtomicConstraintType) {
    AtomicConstraintType["Set"] = "SET";
    AtomicConstraintType["Range"] = "RANGE";
})(AtomicConstraintType = exports.AtomicConstraintType || (exports.AtomicConstraintType = {}));
var PercentChange;
(function (PercentChange) {
    PercentChange["Dod"] = "DOD";
    PercentChange["Wow"] = "WOW";
    PercentChange["Mom"] = "MOM";
    PercentChange["Qoq"] = "QOQ";
    PercentChange["Yoy"] = "YOY";
    PercentChange["DateRange"] = "DATE_RANGE";
})(PercentChange = exports.PercentChange || (exports.PercentChange = {}));
/** An enumeration. */
var GIntegrationStatus;
(function (GIntegrationStatus) {
    GIntegrationStatus["Requested"] = "REQUESTED";
    GIntegrationStatus["Completed"] = "COMPLETED";
})(GIntegrationStatus = exports.GIntegrationStatus || (exports.GIntegrationStatus = {}));
