"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var urql_1 = require("urql");
var query = urql_1.gql(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  query FetchDimensionValues(\n    $metricName: String!\n    $dimensionName: String!\n    $searchStr: String\n    $pageNumber: Int\n    $pageSize: Int\n  ) {\n    metricByName(name: $metricName) {\n      dimensionValues(\n        dimensionName: $dimensionName\n        searchStr: $searchStr\n        pageNumber: $pageNumber\n        pageSize: $pageSize\n      )\n      totalDimensionValues(\n        dimensionName: $dimensionName\n      )\n    }\n  }\n"], ["\n  query FetchDimensionValues(\n    $metricName: String!\n    $dimensionName: String!\n    $searchStr: String\n    $pageNumber: Int\n    $pageSize: Int\n  ) {\n    metricByName(name: $metricName) {\n      dimensionValues(\n        dimensionName: $dimensionName\n        searchStr: $searchStr\n        pageNumber: $pageNumber\n        pageSize: $pageSize\n      )\n      totalDimensionValues(\n        dimensionName: $dimensionName\n      )\n    }\n  }\n"])));
exports.default = query;
var templateObject_1;
