"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var urql_1 = require("urql");
var query = urql_1.gql(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  query FetchMqlTimeSeries($queryId: ID!) {\n    mqlQuery(id: $queryId) {\n      id\n      dbId\n      status\n      metrics\n      dimensions\n      error\n      chartValueMin\n      chartValueMax\n      result {\n        seriesValue\n        data {\n          y\n          ... on TimeSeriesDatum {\n            xDate\n          }\n        }\n      }\n    }\n  }\n"], ["\n  query FetchMqlTimeSeries($queryId: ID!) {\n    mqlQuery(id: $queryId) {\n      id\n      dbId\n      status\n      metrics\n      dimensions\n      error\n      chartValueMin\n      chartValueMax\n      result {\n        seriesValue\n        data {\n          y\n          ... on TimeSeriesDatum {\n            xDate\n          }\n        }\n      }\n    }\n  }\n"])));
exports.default = query;
var templateObject_1;
